Bug 103931 - man iso_8859_1 yields "can't find special character" warnings
man iso_8859_1 yields "can't find special character" warnings
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-07 20:16 EDT by Loren J. Gibson
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 15:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Loren J. Gibson 2003-09-07 20:16:46 EDT
Description of problem: 

Issuing the command "man iso_8859_1" (similarly for the other iso_8859_x man
pages) results in a large volume of warnings printed to stderr, in two forms:

<standard input>:109: warning: can't find numbered character 28
<standard input>:113: warning: can't find special character `u011C'

The latter of the two message appear in far greater numbers, approx. 119 lines
of these warnings are generated. The numbers between the first two colons and
the last number differ in each warning.




Version-Release number of selected component (if applicable): 

man version 1.5k


How reproducible:

Always reproducible.


Steps to Reproduce:
1. man iso_8859_1
2. Optionally: Do the command man iso_8859_1 2>manwarnings.txt to be able to
review the warnings more thoroughly later.
3. 
    
Actual results: Large number of warnings scroll down the display (unless
redirected to a file). Also, the display of the man page is corrupted by some
missing characters and garbled display in the bottom 1/4 or so of the man page.



Expected results: A properly formatted man page with all characters appearing as
designed, with no warning messages printed to stderr.


Additional info:

This behavior is observed at a console prompt without X running and also in
xterm and gnome-terminal. Experiments with changing the language by modifying
the line in /etc/sysconfig/i18n to (for example) LANG="C" (and rebooting) or by
issuing commands like "env LANG=C man iso_8859_1" can be seen to affect the
outcome, but the man pages are still garbled in some way in all cases tested
(varying the language as C, en_US, latin1, etc.), even if the special character
warnings are silenced.
Comment 1 Eido Inoue 2003-10-09 15:58:18 EDT
the ISO-8859-1 page should not belong in the C locale... the C locale man pages
need to be ASCII only for the sake of language fallback. The current version of
man-pages in rawhide reduces the C version to ascii and keeps the original in
the "en" locale, which can display ISO-8859-1 characters.

Note You need to log in before you can comment on or make changes to this bug.